Get business registration details
Retrieve the full public registration record for a candidate returned
by the search endpoint. The opaque business_id must be used unchanged,
belongs to the authenticated tenant, and expires after 24 hours.
Path Parameters
- Type: stringbusiness
_id requiredOpaque ID returned by
POST /v1/businesses/search
Responses
- application/json
- application/json
- 401
Missing, invalid, or revoked API key
- application/json
- 429
API key rate limit exceeded
- application/json
Request Example for get/v1/businesses/{business_id}
curl 'https://api.kaaj.ai/v1/businesses/{business_id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"request_id": "string",
"business": {
"business_id": "string",
"name": "string",
"entity_type": null,
"status": null,
"formation_date": null,
"formation_jurisdiction": null,
"registration_jurisdiction": "string",
"registration_number": "string",
"principal_address": {
"street_line_1": null,
"street_line_2": null,
"city": null,
"region": null,
"postal_code": null,
"country": null
},
"mailing_address": {
"street_line_1": null,
"street_line_2": null,
"city": null,
"region": null,
"postal_code": null,
"country": null
},
"fictitious_names": [
"string"
],
"industry_codes": [
{
"code": "string",
"type": null,
"description": null
}
],
"associates": [
{
"name": "string",
"role": null,
"type": null,
"address": {
"street_line_1": null,
"street_line_2": null,
"city": null,
"region": null,
"postal_code": null,
"country": null
}
}
],
"standing": {
"registration": null,
"agent": null,
"tax": null
}
}
}
